Skip to main content
`Ctrl`+`K`

# PetscStrgrt

If first string is greater than the second

## Synopsis

    static inline PetscErrorCode PetscStrgrt(const char a[], const char b[], PetscBool *t)

Not Collective, No Fortran Support

## Input Parameters

- a - pointer to first string

- b - pointer to second string

## Output Parameter

- flg - `PETSC_TRUE` if `a` is strictly greater than `b`, `PETSC_FALSE` otherwise

## Note

`NULL` arguments are OK, a `NULL` string is considered smaller than all others. If both `a` and `b` are `NULL` then `t` is set to `PETSC_FALSE`.

## See Also

`PetscStrcmp()`, `PetscStrncmp()`, `PetscStrcasecmp()`

## Level

intermediate

## Location

include/petscstring.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages